package cn.com.tenlion.freemarker.controller.route.templaterecord;

import cn.com.tenlion.freemarker.service.templaterecord.ITemplateRecordService;
import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.common.component.SecurityComponent;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

/**
 * @ClassName: TemplateRecordController
 * @Description: 模板构建记录页面
 * @Author: WenG
 * @Date: 2020-05-07 16:50
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "模板构建记录页面接口")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/templaterecord")
public class TemplateRecordRouteController extends DefaultBaseController {

    @Autowired
    private ITemplateRecordService templateRecordService;
    @Autowired
    private SecurityComponent securityComponent;

    @GetMapping("listtemplaterecord")
    public ModelAndView listTemplateRecord() {
        ModelAndView mv = new ModelAndView("templaterecord/list-templaterecord");
        return mv;
    }

    @GetMapping("updatetemplaterecord")
    public ModelAndView updateTemplateRecord() {
        ModelAndView mv = new ModelAndView("templaterecord/update-templaterecord");
        return mv;
    }

    @GetMapping("showtemplaterecord")
    public ModelAndView showTemplateRecord() {
        ModelAndView mv = new ModelAndView("templaterecord/show-templaterecord");
        return mv;
    }

}